package org.zeroturnaround.javarebel.integration.spring.cbp;

import org.zeroturnaround.bundled.javassist.CtConstructor;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;

import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

// XXX BeanPostProcessorManager does not exist and this class is never used
public class AbstractApplicationContextCBP extends JavassistClassBytecodeProcessor {
  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass)
  throws Exception {
    CtConstructor constr = 
      ctClass.getDeclaredConstructor(
          cp.get(
              new String[] {"org.springframework.context.ApplicationContext"}));
    
    constr.insertBeforeBody("org.zeroturnaround.javarebel.integration.spring.BeanPostProcessorManager.register($0);");
  }
}
